/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "../../../../styles/openk.styles";

:host {
  display: inline-flex;
  flex-flow: row nowrap;
  align-items: center;
}

.search {
  flex: 1 1 100%;
  display: inline-flex;
  position: relative;
  font-size: 0.875em;
}

.search--bar {
  display: inline-flex;
  width: 100%;
  height: 100%;
}

.search--bar--icon {
  display: inline-flex;
  position: absolute;
  right: 0;
  top: 0;
  width: initial;
  height: 100%;
  padding: 0 0.3em;
  justify-content: center;
  align-items: center;
  font-size: 1em;
  margin: auto 0;
  color: get-color($openk-default-palette, 800);
  transition: color ease-in-out 100ms;
}

.search--bar--input {
  width: 100%;
  height: 100%;
  font-size: 1em;
  padding-right: 1.5em;
}

.search--bar--input:focus + .search--bar--icon {
  color: get-color($openk-info-palette, A300);
}

.progress-spinner {
  margin-left: 0.5em;
  transition: opacity 75ms ease-out;
}
